// CntrItem.h : interface of the CStrawberryCntrItem class
//

#pragma once

class CStrawberryDoc;
class CStrawberryView;

class CStrawberryCntrItem : public CRichEditCntrItem
{
    DECLARE_SERIAL(CStrawberryCntrItem)

// Constructors
public:
    CStrawberryCntrItem(REOBJECT* preo = NULL, CStrawberryDoc* pContainer = NULL);
        // Note: pContainer is allowed to be NULL to enable IMPLEMENT_SERIALIZE
        //  IMPLEMENT_SERIALIZE requires the class have a constructor with
        //  zero arguments.  Normally, OLE items are constructed with a
        //  non-NULL document pointer

// Attributes
public:
    CStrawberryDoc* GetDocument()
        { return reinterpret_cast<CStrawberryDoc*>(CRichEditCntrItem::GetDocument()); }
    CStrawberryView* GetActiveView()
        { return reinterpret_cast<CStrawberryView*>(CRichEditCntrItem::GetActiveView()); }

    public:
    protected:

// Implementation
public:
    ~CStrawberryCntrItem();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif
};

